Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class ObjectRange

Field Summary
`Comparable` | `from`
`boolean` | `reverse`
`int` | `size`
`Comparable` | `to`

Constructor Summary
`ObjectRange(Comparable from, Comparable to)`
`ObjectRange(Comparable from, Comparable to, boolean reverse)`

Method Summary
`int` | `compareTo(Comparable first, Comparable second)`
`void` | `constructorHelper(Comparable from, Comparable to)`
`boolean` | `contains(Object value)`
`boolean` | `containsWithinBounds(Object value)` Checks whether a value is between the from and to values of a Range
`Object` | `decrement(Object value)` Decrements by one
`boolean` | `equals(Object that)`
`boolean` | `equals(ObjectRange that)`
`Object` | `get(int index)`
`Comparable` | `getFrom()`
`Comparable` | `getTo()`
`Object` | `increment(Object value)` Increments by one
`String` | `inspect()`
`boolean` | `isReverse()`
`Iterator` | `iterator()`
`static Comparable` | `normaliseStringType(Comparable operand)`
`int` | `size()`
`void` | `step(int step, Closure closure)`
`List` | `step(int step)`
`List` | `subList(int fromIndex, int toIndex)`
`String` | `toString()`

Constructor Detail

### ObjectRange

    public ObjectRange(Comparable from, Comparable to)

### ObjectRange

    public ObjectRange(Comparable from, Comparable to, boolean reverse)

Method Detail

### compareTo

    int compareTo(Comparable first, Comparable second)

### constructorHelper

    void constructorHelper(Comparable from, Comparable to)

### contains

    public boolean contains(Object value)

### containsWithinBounds

    public boolean containsWithinBounds(Object value)

  Checks whether a value is between the from and to values of a Range
  param:
    value the value of interest
  return:
    true if the value is within the bounds

### decrement

    Object decrement(Object value)

  Decrements by one
  param:
    value the value to decrement
  return:
    the decremented value

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(ObjectRange that)

### get

    public Object get(int index)

### getFrom

    public Comparable getFrom()

### getTo

    public Comparable getTo()

### increment

    Object increment(Object value)

  Increments by one
  param:
    value the value to increment
  return:
    the incremented value

### inspect

    public String inspect()

### isReverse

    public boolean isReverse()

### iterator

    public Iterator iterator()

### normaliseStringType

    static Comparable normaliseStringType(Comparable operand)

### size

    public int size()

### step

    public void step(int step, Closure closure)

### step

    public List step(int step)

### subList

    public List subList(int fromIndex, int toIndex)

### toString

    public String toString()